body {
  background-color: #fff;
  margin: 0;
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  flex-shrink: 0;
}

main {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
main .page {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center; /* optional: centers content horizontally */
}

.login-container {
  background-color: #e5e5e5;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);

}

.login-container label {
  display: block;
  margin-bottom: 8px;
  font-size: 18px;
}


.login-container input[type="text"],
.login-container input[type="password"],
.login-container select {
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border: none;
  border-radius: 4px;
  font-size: 16px;
}

.login-container input[type="submit"]{
  float: right;
  background-color: white;
  color: black;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 10px;
  cursor: pointer;
}

.login-container input[type="submit"]:hover {
  background-color: #ddd;
}
.table-submit{
  padding: 10px;
}
.table-submit input[type="submit"]{
  float: right;
  background-color: #e5e5e5;
  color: black;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 10px;
  cursor: pointer;
}

.table-submit input[type="submit"]:hover {
  background-color: #ddd;
}



.navbar {
  background-color: #e5e5e5;
  display: flex;
  justify-content: space-between;
  /*align-items: center;*/
  padding: 10px 20px;
}

.nav-left, .nav-right {
  display: flex;
  align-items: center;
  gap: 50px;
  padding-left: 50px;
}
.nav-right{
  display: flex;
  justify-content: flex-end;
  padding-right: 50px;
}

.icon-button {
  background: white;
  border: none;
  padding: 10px;
  border-radius: 4px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-button i {
  font-size: 18px;
}

.search-icon, .home-icon {
  font-size: 22px;
  cursor: pointer;
}

.avatar {
  width: 40px;
  height: 40px;
  background-color: white;
  border-radius: 50%;
}





.table-container {
  padding: 30px;
  display: flex;
  justify-content: center;
}

table {
  border-collapse: collapse;
  width: 100%;
  max-width: 1000px;
}

th, td {
  border: 2px solid black;
  padding: 10px;
  text-align: center;
}

th {
  background-color: #fff;
  font-weight: bold;
}

/*    .actions {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-left: 10px;
}
*/
button {
  background-color: #e6e6e6;
  border: none;
  padding: 10px 15px;
  margin-bottom: 6px;
  cursor: pointer;
  color: black;
  border: none;
  border-radius: 10px;
}

.row {
  display: flex;
  align-items: center;
}

.table-wrapper {
  display: flex;
  flex-direction: column;
  gap: 0;
}




.dashboard {
  display: flex;
  padding: 30px 40px;
  gap: 60px;
}

.left-panel {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.left-panel h1 {
  font-size: 24px;
  margin-bottom: 20px;
}

.graph-box {
  background: #e6e6e6;
  width: 675px;
  height: 375px;
  /*display: flex;*/
  align-items: center;
  justify-content: center;
  margin-top: 30px;
}

  .right-panel {
    margin-block-start: 1em;
    margin-block-end: 0.67em;
    width: 550px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 30px;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: space-between;
  }
  

  .dropdown,
  .access-btn {
    background: #e6e6e6;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    width: fit-content;
    border-radius: 10px;
  }

  .info-list {
    text-align: left;
    font-size: 15px;
  }

  .info-list ul {
    margin-top: 0;
    padding-left: 20px;
  }

  .device-table {
    margin: 30px 40px;
  }

  table {
    width: 100%;
    border-collapse: collapse;
    text-align: center;
  }

  th, td {
    border: 2px solid black;
    padding: 10px;
  }
  main .grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 50px;
    column-gap: 50px;
    padding: 30px;
  }

  .card {
    background: #e6e6e6;
    padding: 20px;
  }

  .card h2 {
    margin-bottom: 10px;
  }

  .content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
  }

  .graph {
    background: white;
    width: 60%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
  }

  .info {
    width: 40%;
  }

  ul {
    list-style-type: disc;
    padding-right: 20px;
    padding-left: 30px;
    margin: 0;
  }

  ul li {
    margin-bottom: 5px;
  }
  a {
   text-decoration: none;
    color: inherit;
  }




  .profile {
    background-color: #ffffff;
    color: rgb(0, 0, 0);
    padding: 5px;
    font-size: 20px;
    border: none;
    cursor: pointer;
    border-radius: 50%;
    height: 45px;
    width: 45px;
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropdown {
    margin-left: auto;
  }
  
  /* Dropdown Content (Hidden by Default) */
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  /* Links inside the dropdown */
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {background-color: #f1f1f1}
  
  /* Show the dropdown menu on hover */
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* Change the background color of the dropdown button when the dropdown content is shown */
  .dropdown:hover .profile {
    background-color: #cbcbcb;
  }
  .home{
    font-size: 20px;
  }
  .admin {
    background-color: #ffffff;
    color: rgb(0, 0, 0);
    padding: 5px;
    font-size: 35px;
    border: none;
    cursor: pointer;
    height: 45px;
    width: 45px;
  }
  .dropdown:hover .admin {
    background-color: #cbcbcb;
  }
  label.small{
  font-size: 15px;
  color: rgba(0, 0, 0, 0.736);
  }
  .error{
    color: red;
  }
  .confirm{
    color: green;
  }